8.195. rdma

Updated rdma packages that fix several bugs and add various enhancements are now available for Red Hat Enterprise Linux 6.
Red Hat Enterprise Linux includes a collection of InfiniBand and iWARP utilities, libraries, and development packages for writing applications that use Remote Direct Memory Access (RDMA) technology.
Several components provided by the rdma packages have been upgraded to newer upstream versions that provide a number of bug fixes and enhancements. The following components have been upgraded: infiniband-diags, libmlx4, libmlx5, libibverbs, libibverbs-utils, librdmacm, librdmacm-utils, ibutils, libibmad, libibumad, libipathverbs, libmthca, infiniband-diags, libibcommon, mstflint, mvapich2, openmpi, opensm, osu-micro-benchmarks, perftest, qperf, and srptools. (BZ#1053488, BZ#1087968, BZ#1093468, BZ#1087968, BZ#1053500, BZ#1051290, BZ#1051211, BZ#1055654, BZ#1053391, BZ#1059093, BZ#1056662, BZ#1059093, BZ#1059094, BZ#1059095, BZ#102730, BZ#1082730)
This update also fixes the following bugs:

Bug Fixes

BZ#828074
Prior to this update, the rping utility from the librdmacm-utils package failed to establish an RDMA connection after accepting a connection request from the client. This bug has been fixed and rping now creates connections as expected in the described case.
BZ#828082
Under certain circumstances, the udaddy utility from the librdmacm-utils package became unresponsive while receiving data transfers. This bug has been fixed and udaddy no longer hangs in the aforementioned scenario.
BZ#1024903
Previously, the ib_qib kernel module initialized certain mezzanine cards using a kernel module parameter. However, the support for this method of initialization has been deprecated and removed upstream, and was therefore removed from the Red Hat kernel in a previous update. As a consequence, the initialization of certain mezzanine cards no longer succeeded. With this update, a modprobe configuration file is provided by the libipathverbs library that enables the proper configuration of the ib_qib module from user space. As a result, the affected mezzanine cards now initialize as expected.
BZ#1097290
Previously, the shared OpenType font library “libotf.so.0” was provided by both the openmpi package and the libotf package. Consequently, when an RPM spec file requested libotf.so.0 in order to operate properly, Yum could install either openmpi or libotf to satisfy the dependency. However, as these two packages do not provide compatible libotf.so.0 libraries, the program either worked or not depending on whether or not the right provider was selected. The libotf.so.0 in openmpi is not intended for other applications to link against, it is an internal library. With this update, libotf.so.0 in openmpi is excluded from RPM library identification searches. As a result, applications linking against libotf will get the right libotf, and openmpi will not accidentally be installed to satisfy the need for libotf.
Several components provided by the rdma packages have been upgraded to newer upstream versions that provide a number of bug fixes and enhancements. The following components have been upgraded: infiniband-diags, libmlx4, libmlx5, libibverbs, libibverbs-utils, librdmacm, librdmacm-utils, ibutils, libibmad, libibumad, libipathverbs, libmthca, infiniband-diags, libibcommon, mstflint, mvapich2, openmpi, opensm, osu-micro-benchmarks, perftest, qperf, and srptools. (BZ#1053488, BZ#1087968, BZ#1093468, BZ#1087968, BZ#1053500, BZ#1051290, BZ#1051211, BZ#1055654, BZ#1053391, BZ#1059093, BZ#1056662, BZ#1059093, BZ#1059094, BZ#1059095, BZ#102730, BZ#1082730)
In addition, this update adds the following

Enhancements

BZ#854655
This update adds XRC support to InfiniBand stack and ConnectX devices from the libibverbs package.
BZ#1005352
This update adds support for the InfiniBand specification to the openmpi package.
BZ#1080183
This update adds a libocrdma package that provides a device-specific userspace driver for Emulex One Command RoCE Adapters to be used with the libibverbs library.
BZ#1091537, BZ#1100557, BZ#1130083
This update adds the mpich package that provides a high-performance and widely portable implementation of the MPI standard (MPI-1, MPI-2 and MPI-3).
Users of rdma are advised to upgrade to these updated packages, which fix these bugs and add these enhancements.